COMMENT
Current clamp driven by a value generated elsewhere,
e.g. by an instance of RandUni.
ENDCOMMENT

NEURON {
    SUFFIX idriven
    POINTER ival
    NONSPECIFIC_CURRENT i
}

UNITS {
    (mA) = (milliamp)
    (mA/cm2) = (nanoamp/cm2)
}

ASSIGNED {
    i (mA/cm2)
    ival (mA/cm2) : from external source
}

BREAKPOINT {
    i = ival
: printf("idriven time %g  i %g\n", t, i)
}
